/*
 * $Id: Parameters_test.cpp 82 2008-05-01 16:48:45Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Parameters.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Parameters::test"
  void Parameters::test (void)          
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
    Parameters_test x = msg_error();
    
    std::cerr << x.print();

    if (x.have_error())
      throw (ErrorMorpheo ("Error(s) in parameters"));

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              
